Remove padding data

- « sodium_pad

- SodiumException »

- PHP Manual
- Sodium Functions
- Remove padding data

# sodium_unpad

(PHP 7 >= 7.2.0, PHP 8)

sodium_unpad — Remove padding data

### Description

sodium_unpad(string `$string`, int `$block_size`): string

Unpad a padded string. Timing-safe.

### Parameters

`string`

  Padded string.

`block_size`

  The block size for padding.

### Return Values

Unpadded string.